%define name gucharmap
%define version 0.4.0
%define release 1mdk

%define major 1
%define libname lib%name%major

Summary: 	A Unicode character map and font viewer.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Publishing
Source: 	%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL: 		http://gucharmap.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	gettext pkgconfig libgtk+2.0-devel libatk-devel freetype2-devel 

%description
gucharmap is a Unicode/ISO 10646 character map and font viewer. It
supports anti-aliased, scalable truetype fonts in X, using Xft, and
works on Unix and Windows platforms.

%package -n %libname
Summary: Main library for gucharmap
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs dynamically
linked with gucharmap.

%package -n %libname-devel
Summary: Headers for developing programs that will use gucharmap
Group: Development/GNOME and GTK+
Requires: %libname = %{version}
Provides: lib%name-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libname-devel
This package contains the headers that programmers will need to develop
applications which will use gucharmap.

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall
rm -f $RPM_BUILD_ROOT/%_bindir/charmap

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gucharmap"\
title="gucharmap"\
longtitle="Font browser"\
needs="x11"\
icon="gucharmap.png"\
section="Applications/Publishing"
EOF
)

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%{find_lang} %{name}
 
%post
%update_menus
 
%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc COPYING README TODO
%{_bindir}/*
%{_libdir}/menu/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/%name.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%files -n %libname
%defattr (-,root,root)
%_libdir/*.so.*

%files -n %libname-devel
%defattr (-,root,root)
%_libdir/*.so
%_libdir/*.la
%_libdir/*.a
%_libdir/pkgconfig/%name.pc
%_includedir/%name/*.h

%changelog
* Sun Mar 16 2003 Austin Acton <aacton@yorku.ca> 0.4.0-1mdk
- 0.4.0

* Thu Jan 16 2003 Austin Acton <aacton@yorku.ca> 0.2-1mdk
- initial package
